function x = fixpunkt(phi,x0,atol,rtol)

x    = x0;
xold = x0;
xnew = phi(xold);
x    = [x,xnew];
err  = abs(xnew-xold);

while err > atol + rtol*abs(xnew)
    xnew = phi(xold);
    err  = abs(xnew-xold);
    x    = [x,xnew];
    xold = xnew;
end