% Fixpunkt Funktion
phi = @(x) 0.5*(3./x + x);

atol = 1e-7;
rtol = 1e-5;
x0   = 10;

x   = fixpunkt(phi,x0,atol,rtol);
err = abs(x(end)-x(1:end-1));

for i = 2:length(x)-2
   p = (log(err(i+1))-log(err(i)))/(log(err(i))-log(err(i-1)));
   c = err(i)/(err(i-1)^p);   
   fprintf('Iteration %d \n',i-1);
   fprintf('  Konvergenzordnung: %.3f\n',p);
   fprintf('  Konvergenzrat    : %.3f\n',c);
end
